Loading...
Searching...
No Matches
EST_IMatrix Class Reference

`#include <include/EST_IMatrix.h>`

Inheritance diagram for EST_IMatrix:
[legend]
Collaboration diagram for EST_IMatrix:
[legend]

## Public Member Functions

| EST_IMatrix (int m, int n)
| size constructor
| EST_IMatrix (EST_IMatrix &a)
| copy constructor
| EST_IMatrix (EST_IMatrix &a, int b)
| CHECK - what does this do???
| EST_IMatrix ()
| default constructor
Public Member Functions inherited from EST_TSimpleMatrix< int >
| EST_TSimpleMatrix (void)
| default constructor
void | copy (const EST_TSimpleMatrix< int > &a)
| copy one matrix into another
void | resize (int rows, int cols, int set=1)
| resize matrix
EST_TSimpleMatrix< int > & | operator= (const EST_TSimpleMatrix< int > &s)
| assignment operator
Public Member Functions inherited from EST_TMatrix< int >
| EST_TMatrix ()
| default constructor
| ~EST_TMatrix ()
| EST_TMatrix.
int | num_rows () const
| return number of rows
int | num_columns () const
| return number of columns
INLINE const int & | a_no_check (int row, int col) const
| const access with no bounds check, care recommend
INLINE const int & | a_no_check_1 (int row, int col) const
const int & | a_check (int row, int col) const
| const element access function
const int & | a (int row, int col) const
const int & | operator() (int row, int col) const
| const element access operator
bool | have_rows_before (int n) const
bool | have_columns_before (int n) const
void | resize (int rows, int cols, int set=1)
void | fill (const int &v)
| fill matrix with value v
EST_TMatrix & | operator= (const EST_TMatrix &s)
| assignment operator
EST_TMatrix & | add_rows (const EST_TMatrix &s)
| The two versions of what might have been operator +=.
EST_TMatrix & | add_columns (const EST_TMatrix &s)
void | row (EST_TVector< int > &rv, int r, int start_c=0, int len=-1)
| Make the vector {\tt rv} a window onto row {\tt r}.
void | column (EST_TVector< int > &cv, int c, int start_r=0, int len=-1)
| Make the vector {\tt cv} a window onto column {\tt c}.
void | sub_matrix (EST_TMatrix< int > &sm, int r=0, int numr=EST_ALL, int c=0, int numc=EST_ALL)
| Make the matrix {\tt sm} a window into this matrix.
void | copy_row (int r, int *buf, int offset=0, int num=-1) const
void | copy_column (int c, int *buf, int offset=0, int num=-1) const
void | set_row (int n, const int *buf, int offset=0, int num=-1)
void | set_column (int n, const int *buf, int offset=0, int num=-1)
void | set_memory (int *buffer, int offset, int rows, int columns, int free_when_destroyed=0)
EST_read_status | load (const class EST_String &filename)
| load Matrix from file - Not currently implemented.
EST_write_status | save (const class EST_String &filename) const
| save Matrix to file {\tt filename}
Public Member Functions inherited from EST_TVector< int >
INLINE unsigned int | vcell_pos (unsigned int c, unsigned int cs) const
| The memory access rule, in one place for easy reference.
INLINE unsigned int | vcell_pos_1 (unsigned int c) const
INLINE const int & | fast_a_v (int c) const
| quick method for returning (x[n])
INLINE const int & | fast_a_1 (int c) const
void | set_values (const int *data, int step, int start_c, int num_c)
| Get and set values from array.
void | get_values (int *data, int step, int start_c, int num_c) const
void | copy (const EST_TVector< int > &a)
| private copy function, called from all other copying functions.
void | copy_data (const EST_TVector< int > &a)
| just copy data, no resizing, no size check.
void | just_resize (int new_cols, int **old_vals)
| resize the memory and reset the bounds, but don't set values.
void | default_vals ()
| sets data and length to default values (0 in both cases).
| EST_TVector ()
| default constructor
| ~EST_TVector ()
| destructor.
void | resize (int n, int set=1)
const int * | memory () const
INLINE int | num_columns () const
| number of items in vector.
INLINE int | length () const
| number of items in vector.
INLINE int | n () const
| number of items in vector.
INLINE const int & | a_no_check (int n) const
| read-only const access operator: without bounds checking
INLINE const int & | a_no_check_1 (int n) const
| read-only const access operator: without bounds checking
const int & | a_check (int n) const
| read-only const access operator: with bounds checking
const int & | a (int n) const
const int & | operator() (int n) const
| read-only const access operator: return reference to nth member
int & | operator[] (int n)
| read/write non const access operator: return reference to nth member
void | set_memory (int *buffer, int offset, int columns, int free_when_destroyed=0)
EST_TVector & | operator= (const EST_TVector &s)
| assignment operator
void | fill (const int &v)
| Fill entire array will value <parameter>v</parameter>.
void | empty ()
| Fill vector with default value.
int | operator== (const EST_TVector &v) const
| is true if vectors are equal size and all elements are equal.
int | operator!= (const EST_TVector &v) const
| is true if vectors are not equal size or a single elements isn't equal.
void | copy_section (int *dest, int offset=0, int num=-1) const
| Copy data in and out. Subclassed by SimpleVector for speed.
void | set_section (const int *src, int offset=0, int num=-1)
void | sub_vector (EST_TVector< int > &sv, int start_c=0, int len=-1)
| Create a sub vector.
void | integrity () const

## Additional Inherited Members

Public Attributes inherited from EST_TVector< int >
int * | p_memory
unsigned int | p_num_columns
| Visible shape.
unsigned int | p_offset
| How to access the memory.
unsigned int | p_column_step
bool | p_sub_matrix
Static Public Attributes inherited from EST_TVector< int >
static const int * | def_val
| default value, used for filling matrix after resizing
static int * | error_return
Protected Member Functions inherited from EST_TSimpleMatrix< int >
void | copy_data (const EST_TSimpleMatrix< int > &a)
Protected Member Functions inherited from EST_TMatrix< int >
INLINE unsigned int | mcell_pos (int r, int c, int rs, int cs) const
INLINE unsigned int | mcell_pos_1 (int r, int c) const
INLINE const int & | fast_a_m (int r, int c) const
| quick method for returning {\tt x[m][n]}
INLINE const int & | fast_a_1 (int r, int c) const
void | set_values (const int *data, int r_step, int c_step, int start_r, int num_r, int start_c, int num_c)
| Get and set values from array.
void | get_values (int *data, int r_step, int c_step, int start_r, int num_r, int start_c, int num_c) const
void | copy (const EST_TMatrix< int > &a)
| private resize and copy function.
void | copy_data (const EST_TMatrix< int > &a)
| just copy data, no resizing, no size check.
void | just_resize (int new_rows, int new_cols, int **old_vals)
| resize the memory and reset the bounds, but don't set values.
void | default_vals ()
| sets data and length to default values (0 in both cases).
Protected Attributes inherited from EST_TMatrix< int >
unsigned int | p_num_rows
| Visible shape.
unsigned int | p_row_step
| How to access the memory.

## Detailed Description

A matrix class for integers. {\tt EST_IMatrix x} should be used instead of {\tt int **x} wherever possible.

Definition at line 50 of file EST_IMatrix.h.

## Constructor & Destructor Documentation

## EST_IMatrix() [1/4]

EST_IMatrix::EST_IMatrix | ( | int | m,
|  | int | n )

inline

size constructor

Definition at line 54 of file EST_IMatrix.h.

## EST_IMatrix() [2/4]

EST_IMatrix::EST_IMatrix | ( | EST_IMatrix & | a | ) |

inline

copy constructor

Definition at line 56 of file EST_IMatrix.h.

## EST_IMatrix() [3/4]

EST_IMatrix::EST_IMatrix | ( | EST_IMatrix & | a,
|  | int | b )

CHECK - what does this do???

Definition at line 54 of file EST_IMatrix.cc.

## EST_IMatrix() [4/4]

EST_IMatrix::EST_IMatrix | ( |  | ) |

inline

default constructor

Definition at line 60 of file EST_IMatrix.h.

The documentation for this class was generated from the following files:

- include/EST_IMatrix.h
- base_class/EST_IMatrix.cc